Bug 25700 - Recent Kohacons are missing from the timeline
Summary: Recent Kohacons are missing from the timeline
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Séverine Queune
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 26425
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-09 10:31 UTC by Martin Renvoize
Modified: 2020-11-11 08:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25700 - Complete KohCons informations in timeline (10.00 KB, patch)
2020-10-21 16:44 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 25700: Complete KohaCons informations in timeline (10.00 KB, patch)
2020-10-21 17:31 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 25700: Complete KohaCons informations in timeline (9.78 KB, patch)
2020-10-22 07:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25700: (follow-up) Minor corrections to epoch dates (5.53 KB, patch)
2020-10-22 07:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25700: Complete KohaCons informations in timeline (9.83 KB, patch)
2020-10-22 12:07 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25700: (follow-up) Minor corrections to epoch dates (5.59 KB, patch)
2020-10-22 12:07 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25700: (follow-up 2) 2 minor corrections for KohaCon (2.49 KB, patch)
2020-10-30 17:18 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 25700: Complete KohaCons informations in timeline (9.88 KB, patch)
2020-10-31 23:35 UTC, David Nind
Details | Diff | Splinter Review
Bug 25700: (follow-up) Minor corrections to epoch dates (5.64 KB, patch)
2020-10-31 23:35 UTC, David Nind
Details | Diff | Splinter Review
Bug 25700: (follow-up 2) 2 minor corrections for KohaCon (2.55 KB, patch)
2020-10-31 23:35 UTC, David Nind
Details | Diff | Splinter Review
Bug 25700: Complete KohaCons informations in timeline (9.94 KB, patch)
2020-10-31 23:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25700: (follow-up) Minor corrections to epoch dates (5.69 KB, patch)
2020-10-31 23:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25700: (follow-up) 2 minor corrections for KohaCon (2.60 KB, patch)
2020-10-31 23:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-06-09 10:31:33 UTC
The last KohaCon entry in the history.txt on master is:

1381881600  October 16-22 2013  KohaCon 2013 and hackfest in Reno, Nevada, USA

I think it probably needs a bit of updating!
Comment 1 Séverine Queune 2020-10-21 16:44:12 UTC Comment hidden (obsolete)
Comment 2 Séverine Queune 2020-10-21 17:31:55 UTC
Created attachment 112115 [details] [review]
Bug 25700: Complete KohaCons informations in timeline

Last entry for KohaCons on Koha timeline was for 2013.
This patch :
- adds KohaCons from 2014 to 2020
- adds missing link to KohaCons websites for events from 2006 to 2013
- suppresses dead links for old KohaCons
- standardizes the display of informations

To test, apply patch and check :
- there is no typo (especially for October > Octobre)
- order of dates is correct
- links to Koha website ou wiki are correct
Comment 3 Martin Renvoize 2020-10-22 07:59:52 UTC
Created attachment 112144 [details] [review]
Bug 25700: Complete KohaCons informations in timeline

Last entry for KohaCons on Koha timeline was for 2013.
This patch :
- adds KohaCons from 2014 to 2020
- adds missing link to KohaCons websites for events from 2006 to 2013
- suppresses dead links for old KohaCons
- standardizes the display of informations

To test, apply patch and check :
- there is no typo (especially for October > Octobre)
- order of dates is correct
- links to Koha website ou wiki are correct

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-10-22 07:59:58 UTC
Created attachment 112145 [details] [review]
Bug 25700: (follow-up) Minor corrections to epoch dates

It looks like we forgot to account for the year change when grabbing
epoch dates for some of the later KohaCon's. This patch fixes those
minor mistakes.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-10-22 08:05:57 UTC
Great work Séverine, I fixed a minor typo in the first line whilst signing off ad added a tiny followup to correct some epoch dates.. I think you forgot to change the year when entering dates to get epoch times back ;)

Looks great and nice and consistent, thanks!
Comment 6 Jonathan Druart 2020-10-22 08:30:49 UTC
"workshop" in Dublin and "hackfest" in Wellington, why this choice?

At KohaCon20 they use "workshop"
https://2020.kohacon.org/posts/programme/
Comment 7 Séverine Queune 2020-10-22 08:39:33 UTC
If I remember well, there was no hackfest in Dublin.
Workshops were organised for all KohaCons for what I saw.
But you're right, it might be confusing.
Do you prefer to mention workshops for all the KohaCons, like "KohaconXX, worshops and Hackfest in XXX" ?
Comment 8 Tomás Cohen Arazi 2020-10-22 12:07:18 UTC
Created attachment 112173 [details] [review]
Bug 25700: Complete KohaCons informations in timeline

Last entry for KohaCons on Koha timeline was for 2013.
This patch :
- adds KohaCons from 2014 to 2020
- adds missing link to KohaCons websites for events from 2006 to 2013
- suppresses dead links for old KohaCons
- standardizes the display of informations

To test, apply patch and check :
- there is no typo (especially for October > Octobre)
- order of dates is correct
- links to Koha website ou wiki are correct

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Tomás Cohen Arazi 2020-10-22 12:07:25 UTC
Created attachment 112174 [details] [review]
Bug 25700: (follow-up) Minor corrections to epoch dates

It looks like we forgot to account for the year change when grabbing
epoch dates for some of the later KohaCon's. This patch fixes those
minor mistakes.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Martin Renvoize 2020-10-22 13:10:41 UTC
(In reply to Jonathan Druart from comment #6)
> "workshop" in Dublin and "hackfest" in Wellington, why this choice?
> 
> At KohaCon20 they use "workshop"
> https://2020.kohacon.org/posts/programme

Good catch, 

At KohaCon19 we chose to rename the 'Hackfest' to 'Workshops' as a bit of a re-branding to get more librarians and non-developers involved.. I think KohaCon20 took the same approach?  So, I would say pre 19 Hackfest is the right name, post 19 Workshops is correct.
Comment 11 Jonathan Druart 2020-10-25 23:01:36 UTC
(In reply to Séverine Queune from comment #7)
> If I remember well, there was no hackfest in Dublin.
> Workshops were organised for all KohaCons for what I saw.
> But you're right, it might be confusing.
> Do you prefer to mention workshops for all the KohaCons, like "KohaconXX,
> worshops and Hackfest in XXX" ?

I would use "workshops" for 19 and 20.

Also, KohaCon11 wiki link does notwork.
Comment 12 Séverine Queune 2020-10-27 08:55:53 UTC
Thanks Jonathan for feedback !
I've been a bit annoyed by this KohaCon11, for the official website is now closed and I didn't find a page with relevant informations about it.
Is that one ok for you ? https://koha-community.org/category/kohacon-2011/
Comment 13 Séverine Queune 2020-10-30 17:18:09 UTC
Created attachment 112729 [details] [review]
Bug 25700: (follow-up 2) 2 minor corrections for KohaCon

This patch corrects :
- the wrong link for KohaCon11
- a typo on 'workshops' for KohaCon19
- replace 'hackfest' for 'workshops' for KohaCon20
Comment 14 Séverine Queune 2020-10-30 17:19:47 UTC
First time I do a follow-up, I hope I did it well.
Already spoted a typo on the patch's title (2 instead of 3), I hope it's the only one...
Comment 15 David Nind 2020-10-31 23:35:46 UTC
Created attachment 112784 [details] [review]
Bug 25700: Complete KohaCons informations in timeline

Last entry for KohaCons on Koha timeline was for 2013.
This patch :
- adds KohaCons from 2014 to 2020
- adds missing link to KohaCons websites for events from 2006 to 2013
- suppresses dead links for old KohaCons
- standardizes the display of informations

To test, apply patch and check :
- there is no typo (especially for October > Octobre)
- order of dates is correct
- links to Koha website ou wiki are correct

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 16 David Nind 2020-10-31 23:35:50 UTC
Created attachment 112785 [details] [review]
Bug 25700: (follow-up) Minor corrections to epoch dates

It looks like we forgot to account for the year change when grabbing
epoch dates for some of the later KohaCon's. This patch fixes those
minor mistakes.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 17 David Nind 2020-10-31 23:35:53 UTC
Created attachment 112786 [details] [review]
Bug 25700: (follow-up 2) 2 minor corrections for KohaCon

This patch corrects :
- the wrong link for KohaCon11
- a typo on 'workshops' for KohaCon19
- replace 'hackfest' for 'workshops' for KohaCon20

Signed-off-by: David Nind <david@davidnind.com>
Comment 18 Katrin Fischer 2020-10-31 23:55:25 UTC
Created attachment 112788 [details] [review]
Bug 25700: Complete KohaCons informations in timeline

Last entry for KohaCons on Koha timeline was for 2013.
This patch :
- adds KohaCons from 2014 to 2020
- adds missing link to KohaCons websites for events from 2006 to 2013
- suppresses dead links for old KohaCons
- standardizes the display of informations

To test, apply patch and check :
- there is no typo (especially for October > Octobre)
- order of dates is correct
- links to Koha website ou wiki are correct

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 19 Katrin Fischer 2020-10-31 23:55:29 UTC
Created attachment 112789 [details] [review]
Bug 25700: (follow-up) Minor corrections to epoch dates

It looks like we forgot to account for the year change when grabbing
epoch dates for some of the later KohaCon's. This patch fixes those
minor mistakes.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 20 Katrin Fischer 2020-10-31 23:55:33 UTC
Created attachment 112790 [details] [review]
Bug 25700: (follow-up) 2 minor corrections for KohaCon

This patch corrects :
- the wrong link for KohaCon11
- a typo on 'workshops' for KohaCon19
- replace 'hackfest' for 'workshops' for KohaCon20

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 21 Jonathan Druart 2020-11-02 10:05:26 UTC
Pushed to master for 20.11, thanks to everybody involved!